Subject: Re: ds/sparse-checkout-requires-per-worktree-config (was Re: What's cooking in git.git (Jan 2022, #04; Fri, 14))

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Jan 2022 12:27:05 -0800

Derrick Stolee <[email-masked]> writes:

> On 1/14/2022 11:37 PM, Junio C Hamano wrote:
>
>> * ds/sparse-checkout-requires-per-worktree-config (2022-01-14) 6 commits
>>  - worktree: copy sparse-checkout patterns and config on add
>>  - sparse-checkout: use repo_config_set_worktree_gently()
>>  - config: add repo_config_set_worktree_gently()
>>  - worktree: add 'init-worktree-config' subcommand
>>  - config: make some helpers repo-aware
>>  - setup: use a repository when upgrading format
>> 
>>  "git sparse-checkout" wants to work with per-worktree configration,
>>  but did not work well in a worktree attached to a bare repository.
>> 
>>  Expecting an update.
>>  cf. <[email-masked]>
>>  source: <[email-masked]>

> Sorry for the delay. I've spent the last two weeks with my
> family under quarantine for COVID.
>
> I will update this topic this week.

Sorry to hear that.  I hope everybody is not hurt too badly.

Take your time, be safe and be well.

Thanks.